POSIX_LOCK_FILE(9)

NAME
posix_lock_file - Apply a POSIX-style lock to a file

SYNOPSIS

int posix_lock_file (struct file * filp, struct file_lock * fl);

ARGUMENTS

filp
    The file to apply the lock to

fl  The lock to be applied

DESCRIPTION

Add a POSIX style lock to a file. We merge adjacent & overlapping locks whenever possible. POSIX locks are sorted by owner task, then by starting address